%define		_class		PHP
%define		_subclass	Compat
%define		upstream_name	%{_class}_%{_subclass}
%define peardir %(pear config-get php_dir 2> /dev/null || echo %{_datadir}/pear)
%define xmldir  /var/lib/pear

Name:		php-pear-%{upstream_name}
Version:	1.5.0
Release:	%mkrel 15
Summary:        Provides missing functionality for older versions of PHP
License:        PHP License
Group:          Development/PHP
URL:            http://pear.php.net/package/PHP_Compat
Source0:        http://pear.php.net/get/PHP_Compat-%{version}.tgz
BuildRequires:  php-pear >= 1.4.7
BuildArch: noarch

%description
PHP_Compat provides missing functionality for older versions of PHP.


%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock



# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/PHP_Compat.xml


%post
pear install --nodeps --soft --force --register-only %{xmldir}/PHP_Compat.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/PHP_Compat
fi

%files
%{peardir}/*
%{xmldir}/PHP_Compat.xml


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.5.0-15.mga8
+ Revision: 1499142
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.5.0-14.mga7
+ Revision: 1273762
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 1.5.0-13.mga6
+ Revision: 944064
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.5.0-12.mga5
+ Revision: 745512
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.5.0-11.mga5
+ Revision: 687423
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 1.5.0-10.mga4
+ Revision: 539341
- Mageia 4 Mass Rebuild

* Sat Oct 05 2013 spuhler <spuhler> 1.5.0-9.mga4
+ Revision: 492012
- pearized spec file

* Sun Jan 13 2013 umeabot <umeabot> 1.5.0-8.mga3
+ Revision: 377170
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 21 2011 spuhler <spuhler> 1.5.0-7.mga1
+ Revision: 28004
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-PHP_Compat


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 1.5.0-7mdv2011.0
+ Revision: 607138
- rebuild

* Sat Nov 21 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.5.0-6mdv2010.1
+ Revision: 467952
- spec cleanup
- use pear installer
- don't ship tests, even in documentation
- own all directories
- use rpm filetriggers starting from mandriva 2010.1

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.5.0-5mdv2010.0
+ Revision: 426666
- rebuild

* Thu Jan 01 2009 Oden Eriksson <oeriksson@mandriva.com> 1.5.0-4mdv2009.1
+ Revision: 321896
- rebuild

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 1.5.0-3mdv2009.0
+ Revision: 224867
- rebuild

* Tue Mar 04 2008 Oden Eriksson <oeriksson@mandriva.com> 1.5.0-2mdv2008.1
+ Revision: 178535
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Sat Nov 11 2006 Oden Eriksson <oeriksson@mandriva.com> 1.5.0-1mdv2007.0
+ Revision: 81210
- Import php-pear-PHP_Compat

* Fri Feb 10 2006 Oden Eriksson <oeriksson@mandriva.com> 1.5.0-1mdk
- 1.5.0
- new group (Development/PHP)

* Fri Aug 26 2005 Oden Eriksson <oeriksson@mandriva.com> 1.4.1-4mdk
- rebuilt to fix auto deps

* Wed Aug 10 2005 Oden Eriksson <oeriksson@mandriva.com> 1.4.1-3mdk
- rebuilt to use new pear auto deps/reqs from pld

* Sun Jul 31 2005 Oden Eriksson <oeriksson@mandriva.com> 1.4.1-2mdk
- fix deps

* Thu Jul 21 2005 Oden Eriksson <oeriksson@mandriva.com> 1.4.1-1mdk
- 1.4.1
- drop redundant patches (P0)

* Thu Jul 21 2005 Oden Eriksson <oeriksson@mandriva.com> 1.3.1-3mdk
- reworked the %%post and %%preun stuff, like in conectiva
- fix deps

* Wed Jul 20 2005 Oden Eriksson <oeriksson@mandriva.com> 1.3.1-2mdk
- fix deps

* Tue Jul 19 2005 Oden Eriksson <oeriksson@mandriva.com> 1.3.1-1mdk
- initial Mandriva package (PLD import)

